Package org.apache.cxf.io

# Interface Transferable

All Known Implementing Classes:
  `DelegatingInputStream`

public interface Transferable
Implementing classes support transfer of their data to a file. This is typically implemented as a stream copy, or a file move.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `transferTo(File file)`

- ## Method Details

  - ### transferTo

    void transferTo(File file) throws IOException
    Throws:
      `IOException`